This Certificate Has Expired Or Is Not Yet Valid: Chrome Error Solved

Many times when we open our browsers or visit a website, we get different types of errors, ranging from 404 to no internet connection. One of the errors among them is “This certificate has expired or is not yet valid”.

“This certificate has expired or is not yet valid” or “The security certificate has expired or is not yet valid” error messages in Chrome are due to an expired security certificate for a website that you are trying to visit or may have visited in the past and the certificate information is stored in your cookies.

I recently got the below error message, “The security certificate has expired or is not yet valid” when opening the Chrome browser. This message can come from other browsers as well. The popup on my Windows 10 looks like below,

When I click on View Certificate, I see the below image, it is a certificate expiration for eventpoint.com. It says that this certificate was issued to *.eventpoint.com and issued by Go Daddy. The expiration date was 7/3/2021.

Note
If you visit a website often and you trust the website, you can simply install a new certificate by clicking on Install Certificate… button on the above popup and follow the instructions.

For me, I never visit eventpoint.com. So, I’m going to fix this error by removing cookies for this website.

Removing Cookies in Google Chrome

To remove cookies in Google Chrome, follow the following instructions.

Go to Settings

Find Privacy and security

Click on Cookies and other site data

Click on See all cookies and site data

It might take a while to load all cookies.

Search the website, in my came it is event point. It will load all cookies for the website.

Now use Remove All Shown to delete all cookies or use the Trash bin icon to delete one by one.

This should fix the error, This certificate has expired or is not yet a valid error.

Conclusion

In this article, you saw how we can handle the “This certificate has expired or is not yet valid” or “The security certificate has expired or is not yet valid” error messages.

For more solutions to commonly faced issues, do have a look at the C# Corner Technology Page.